#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBD,0x47,0x6F,0x3B,0xB0,0x1B,0xE6,0x6D,0x10,0x5A,0xBC,0x5C,
		0x40,0xBD,0xCD,0xF1,0xA0,0xC3,0x37,0x69,0x56,0x36,0x9F,0xA7,
		0x42,0xA2,0x6E,0xA3,0x25,0xD8,0xC8,0xBA,0x25,0x48,0xB4,0x9F,
		0xC4,0x0A,0xF2,0xB1,0xFA,0xA9,0x5B,0xC4,0x73,0x98,0xF6,0x01,
		0x6F,0x88,0x04,0xAB,0x63,0xBE,0xF0,0x3E,0x95,0x6A,0x06,0x38,
		0xE9,0x85,0x2C,0x6B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
